<?php
$title = 'Настройка аккаунта';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
if(isset($_POST['pass'])){
$filter = array(
    'old_pass' => trim(filter_input(INPUT_POST, 'old_pass', FILTER_UNSAFE_RAW)),
    'new_pass' => trim(filter_input(INPUT_POST, 'new_pass', FILTER_UNSAFE_RAW)),
    'new_pass2' => trim(filter_input(INPUT_POST, 'new_pass2', FILTER_UNSAFE_RAW)),
    );

if(mb_strlen($filter['new_pass']) < 5 || mb_strlen($filter['new_pass']) > 20) $msg = 'Длина пароля должна быть от 5 до 20 символов';
elseif(md5($filter['old_pass']) != $user['password']) $msg = 'Не верно указан старый пароль!';
elseif($filter['new_pass'] != $filter['new_pass2']) $msg = 'Не верно указаны новый пароль и повтор пароля!';
elseif(empty($filter['new_pass2']) AND empty($filter['new_pass']) AND empty($filter['old_pass'])) $msg = 'Вы пропустили поле и оставили его пустым';
if(isset($msg)){
$_SESSION['message'] = $msg;
exit(header('Location: /setting/my/account.aspx'));
}else{
$update = $db->prepare("UPDATE `users` SET `password` = ? WHERE `id` = ?");
$update -> execute([md5($filter['new_pass']),$user['id']]);
setcookie('password', $crypt->crypt(md5($filter['new_pass'])), time()+86400*365, '/');
$_SESSION['message'] = 'Вы успешно изменили пароль!';
exit(header('Location: /setting/my/account.aspx'));
}
}

echo '<div class="top">'.$title.'</div>';
echo '<div class="box">
<h3> E-mail адрес: </h3><br/>
            <input type="text" value="'.$user['email'].'" disabled><br/>
</div>

<div class="box">
        <form method="post" action="">
                     <h3> Текущий пароль: </h3><br/>
            <input type="password" name="old_pass" placeholder="Введите текущий пароль"><br/>
            <h3> Новый пароль: </h3><br/>
            <input type="password" name="new_pass" placeholder="Введите новый пароль"><br/>
            <h3> Повтор нового пароля: </h3><br/>
            <input type="password" name="new_pass2" placeholder="Повторите новый пароль"><br/>
            <br/><input type="submit" name="pass" value="Сменить">
        </form>
    </div>

';

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');